#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x85,0x40,0xBB,0x93,0x74,0x18,0x3E,0x1F,0xCD,0xF6,0xE3,0xA2,
		0x20,0xDD,0x5E,0xCD,0x10,0xA9,0x53,0x41,0x84,0x67,0x93,0x33,
		0xF5,0xC9,0x53,0x91,0xC5,0xF2,0x46,0x84,0xDD,0xC9,0xAE,0x7C,
		0x13,0xEF,0xFB,0xD0,0xA6,0x5C,0x76,0x18,0x0A,0x68,0x3D,0xFD,
		0x5A,0xFE,0x89,0xE6,0x78,0x94,0x4E,0x2E,0x95,0xFA,0xD6,0x14,
		0x55,0xA6,0x49,0x0B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
